Đến nội dung


Hình ảnh
5 stars - based on 24598 reviews
- - - - -

(Lisp) Vẽ Nhanh Đường Tròn


  • Please log in to reply
4 replies to this topic

#1 vanmanh192hd

vanmanh192hd

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 14 November 2016 - 12:31 PM

Chào tất cả anh em.
Mình muốn viết một chương trình vẽ đường tròn đi qua một điểm và tiếp tuyến với một đường thẳng.
Yêu cầu cụ thể như sau: nhập lệnh CCC => chọn tâm đường tròn(p1)=> chọn đường thẳng. Khi đó chương trình sẽ tạo ra một đường tròn với tâm là p1 và tiếp tuyến với đường tròn đó
. và nếu tiếp tục chọn đường thẳng thứ 2 thì chương trình lại vẽ ra đường tròn tâm p1 và tiếp tuyến với đường thẳng vừa chọn
Rất mong được anh em giúp đỡ
  • -2

#2 Bee

Bee

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 315 Bài viết
Điểm đánh giá: 101 (tàm tạm)

Đã gửi 14 November 2016 - 02:33 PM

Chào tất cả anh em.
Mình muốn viết một chương trình vẽ đường tròn đi qua một điểm và tiếp tuyến với một đường thẳng.
Yêu cầu cụ thể như sau: nhập lệnh CCC => chọn tâm đường tròn(p1)=> chọn đường thẳng. Khi đó chương trình sẽ tạo ra một đường tròn với tâm là p1 và tiếp tuyến với đường tròn đó
. và nếu tiếp tục chọn đường thẳng thứ 2 thì chương trình lại vẽ ra đường tròn tâm p1 và tiếp tuyến với đường thẳng vừa chọn
Rất mong được anh em giúp đỡ

(defun c:ccc () (command "CIRCLE" pause "per"))

 

Cad mới thì dùng command multiple lặp lại lệnh.


  • 0

#3 Danh Cong

Danh Cong

    biết lệnh insert

  • Moderator
  • PipPipPipPipPipPip
  • 425 Bài viết
Điểm đánh giá: 95 (tàm tạm)

Đã gửi 14 November 2016 - 02:34 PM

Lúc trước bạn đưa hình ảnh lên, tôi xem thấy hình vẽ như những bài tập vẽ kỹ thuật .

Vậy nên.

- Nếu bạn chỉ muốn viết lisp để giải quyết những bài toán như các bài tập vẽ kỹ thuật thì ko nên dùng lisp. Cứ thao tác tay cho nhuần nhuyễn....

- Nếu số lượng hình vẽ lớn, thao tác mất nhiều thời gian. Thì mới nên dùng lisp bạn ah. 

Bài toán của bạn, các anh chị viết ko khó đâu. Mỗi tội có ai muốn viết để bạn làm biếng với chính bản thân hay ko .  :)  :)  :)


  • 0

              *** Vô lo - Vô nghĩ - Vô sầu hận ***
*** Chẳng thương - Chẳng giận - Chẳng đau lòng ***


#4 vanmanh192hd

vanmanh192hd

    biết vẽ line

  • Members
  • PipPip
  • 23 Bài viết
Điểm đánh giá: -4 (bình thường)

Đã gửi 14 November 2016 - 03:18 PM

(defun c:ccc () (command "CIRCLE" pause "per"))
 
Cad mới thì dùng command multiple lặp lại lệnh.

Bạn có thể viết cho mình đoạn lặp đó ko. Mình ko biết làm thế nào
  • 0

#5 Bee

Bee

    biết dimradius

  • Members
  • PipPipPipPipPip
  • 315 Bài viết
Điểm đánh giá: 101 (tàm tạm)

Đã gửi 15 November 2016 - 01:20 PM

Bạn có thể viết cho mình đoạn lặp đó ko. Mình ko biết làm thế nào

(defun c:ccc  (/ pt)
  (while (setq pt (getpoint "\nChon tam duong tron: "))
    (command "CIRCLE" pt "_per" pause)
    )
  )

  • 0